//#define XERR
#include "screening.ih"

void Screening::setRounds()
{
    d_base.back() = "round:";

    auto lines = Parser::any(d_base);

    while (true)
    {
        LineInfo const *line = lines.get(); 
        if (line == 0)
            break;
        
        addRound(*line);
    }
}
